<?php


/*
 *
 * @author Momax GmbH
 * @copyright 2010
 * Script kann frei verwendet werden. Eine Haftung der Momax GmbH ist ausgeschlossen.
 *
 *
 * DAS FOLGENDE SCRIPT FHRT BEISPIELSHAFT EINE BERECHTIGUNGSPRFUNG DURCH (PermissionCheck).
 * EINE GENAUE BESCHREIBUNG FINDET SICH IN DER MINIPAY-SCHNITTSTELLENBESCHREIBUNG.
 * Die Prfung erfolgt im vorliegenden Beispiel anhand der Product-ID und (!) Auslieferungs-URL.
 * Ebenso kann die Prfung nur anhand der vom User angeforderten Auslieferungs-URL erfolgen oder nur anhand der Product-ID.
 *
 */


//Speicherort der miniPay-Library
$minipayLibraryPath="minipay_lib.php";

//miniPay-Library einbinden
require_once($minipayLibraryPath);

//Prf-Parameter zusammenstellen 
$permissionCheck=$_GET['check'];		//Wert des Parameter PermissionCheck, den miniPay in die Auslieferungs-URL einfgt
$securityString='abcde';				//Ihr miniPay-Security-String
$userIP=$_SERVER['REMOTE_ADDR'];		//aktuelle IP-Adresse des Users
$timestamp=time();						//Unix-Timestamp Ihres Systems
$productID='TestId';					//Von Ihnen festgelegte ID des angeforderten Artikels / Produkts / Inhalts
$url=$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'];	//Vom User gerade tatschlich aufgerufene URL

//Prfen der Berechtigung des Users
$permission=checkMinipayPermission($permissionCheck,$securityString,$userIP,$timestamp,$productID,$url);

?>


<h2>Demonstration der miniPay-Berechtigungsprfung (PermissionCheck)</h2>
Ergebnis der Prfung:<br>

<?php

if($permission){echo "Ja, Berechtigung des Users liegt vor!";}
else{echo "Nein, keine Berechtigung des Users gegeben!";}

?>



