<?php


/*
 * @author Momax GmbH
 * @copyright 2010
 * Script kann frei verwendet werden. Eine Haftung der Momax GmbH ist ausgeschlossen.
 *
 *
 * DAS FOLGENDE SCRIPT ERZEUGT EINEN MINIPAY-IFRAME
 * BITTE SORGFLTIG ALLE AUFRUFPARAMETER SETZEN
 * EINE GENAUE BESCHREIBUNG FINDET SICH IN DER MINIPAY-SCHNITTSTELLENBESCHREIBUNG
 */


//Speicherort der miniPay-Library
$minipayLibraryPath="minipay_lib.php";


//IHRE KUNDENDATEN
$oid="";	//Ihre miniPay-Kundennummer
$sec="";	//Ihr miniPay-Security-String

$params=array(

	//PFLICHT-PARAMETER 
	'shopDomain'=>"www.ihre-domain.de",	//auf welcher Domain ist Bezahhlink integriert?
	'offerType'=>"sale",	//bei Verkufen 'sale', bei Dienstleistungen 'service'
	'productName'=>"Test-Artikel",	//Wie heit der Artikel?
	'price'=>"0.99",	//Preis des Artikels fr Endkunden (brutto)
	'tax'=>"19.0",	//Mehrwertsteuersatz (in Prozent)
	'url'=>"http://www.ihre-domain-oder-ip.de/bezahlter-inhalt",	//Url, die nach Bezahlung an Kunden ausgeliefert werden soll
	
	//OPTIONALE PARAMETER (bitte Schnittstellenbeschreibung lesen!)
	'testmode'=>1,
	'useProxy'=>null,
	'username'=>null,
	'password'=>null,
	'maxDownloadNumber'=>null,
	'maxDownloadDuration'=>null,
	'fileType'=>null,
	'template'=>null,
	'processId'=>null,
	'customer_email'=>null,
	'customer_phone'=>null,
	'customer_name'=>null,
	'customer_account'=>null,
	'customer_bankcode'=>null,
);

//miniPay-Library einbinden
require_once($minipayLibraryPath);

//onclick-Event des Bezahl-Links erzeugen
$minipayCall=getMinipayCall('iframe',$oid,$sec,$params);

?>


<h1>Test einer miniPay-Einbindung via iFrame</h1>


<!-- iFrame zum bezahlen -->
<iframe id='miniframe' scrolling=no frameborder=0 style='padding:0px;border:solid 1px white;width:370px;height:220px' src='<?=$minipayCall?>'></iframe>



